drop if exists table t1;
create table t1 ( a int, b string(30), c datetime default sysdate);

@
create procedure checkInsert ( numIns in int ) 
begin 

   var actIns int;

   :actIns = 0;

   while :actIns < :numIns
   begin
	insert into t1 (a, b) values ( :actIns , randstr(20) );	
	:actIns = :actIns + 1;
   end;

end;
@

select count(*) from t1;
call checkInsert(10);
select count(*) from t1;
